ChangeSet 1.1790.2.12, 2004/08/02 15:37:32-07:00, greg@kroah.com

[PATCH] PCI Hotplug: fix build warnings due to msleep() patches.

Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/pci/hotplug/cpci_hotplug_core.c |    1 +
 drivers/pci/hotplug/ibmphp_hpc.c        |    1 +
 drivers/pci/hotplug/shpchp_hpc.c        |    1 +
 3 files changed, 3 insertions(+)


diff -Nru a/drivers/pci/hotplug/cpci_hotplug_core.c b/drivers/pci/hotplug/cpci_hotplug_core.c
--- a/drivers/pci/hotplug/cpci_hotplug_core.c	2004-08-23 11:07:48 -07:00
+++ b/drivers/pci/hotplug/cpci_hotplug_core.c	2004-08-23 11:07:48 -07:00
@@ -33,6 +33,7 @@
 #include <linux/init.h>
 #include <linux/interrupt.h>
 #include <linux/smp_lock.h>
+#include <linux/delay.h>
 #include "pci_hotplug.h"
 #include "cpci_hotplug.h"
 
diff -Nru a/drivers/pci/hotplug/ibmphp_hpc.c b/drivers/pci/hotplug/ibmphp_hpc.c
--- a/drivers/pci/hotplug/ibmphp_hpc.c	2004-08-23 11:07:48 -07:00
+++ b/drivers/pci/hotplug/ibmphp_hpc.c	2004-08-23 11:07:48 -07:00
@@ -29,6 +29,7 @@
 
 #include <linux/wait.h>
 #include <linux/time.h>
+#include <linux/delay.h>
 #include <linux/module.h>
 #include <linux/pci.h>
 #include <linux/smp_lock.h>
diff -Nru a/drivers/pci/hotplug/shpchp_hpc.c b/drivers/pci/hotplug/shpchp_hpc.c
--- a/drivers/pci/hotplug/shpchp_hpc.c	2004-08-23 11:07:48 -07:00
+++ b/drivers/pci/hotplug/shpchp_hpc.c	2004-08-23 11:07:48 -07:00
@@ -35,6 +35,7 @@
 #include <linux/vmalloc.h>
 #include <linux/interrupt.h>
 #include <linux/spinlock.h>
+#include <linux/delay.h>
 #include <linux/pci.h>
 #include <asm/system.h>
 #include "shpchp.h"
